%define oname CDDB
%define version 1.4
%define pyversion 2.4
%define pysystemver 2.4
%define release %mkrel 11

Summary: Python CDDB module
Name: python-%{oname}
Version: %{version}
Release: %{release}
Source0: %{oname}-%version.tar.bz2
License: GPL
Group: Development/Python
URL: http://cddb-py.sourceforge.net
BuildRoot: %{_tmppath}/%{name}-buildroot
BuildRequires: libpython-devel >= %pyversion
Requires: python

%description
The dynamic duo of CDDB.py and DiscID.py, along with their side-kick C
module cdrommodule.so, provide an easy way for Python programs to
fetch information on audio CDs from CDDB (http://www.cddb.com/) -- a
very large online database of track listings and other information on
audio CDs.  UNIX platforms and Windows are both supported.


%prep
%setup -q -n %oname-%version

%build
python setup.py build

%install
rm -rf %buildroot
python setup.py install --root %buildroot

%clean
rm -rf %buildroot

%files
%defattr(-,root,root)
%doc CHANGES COPYING README
%py_platsitedir/*




%changelog
* Tue Sep 15 2009 Thierry Vignaud <tvignaud@mandriva.com> 1.4-11mdv2010.0
+ Revision: 442054
- rebuild

* Fri Dec 26 2008 Adam Williamson <awilliamson@mandriva.org> 1.4-10mdv2009.1
+ Revision: 319198
- rebuild for python 2.6

* Fri Aug 01 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.4-9mdv2009.0
+ Revision: 259524
- rebuild

* Thu Jul 24 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.4-8mdv2009.0
+ Revision: 247392
- rebuild

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 1.4-6mdv2008.1
+ Revision: 136447
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request


* Wed Jan 31 2007 Nicolas Lécureuil <neoclust@mandriva.org> 1.4-6mdv2007.0
+ Revision: 115731
- Rebuild against new python
- Import python-CDDB

* Fri Jul 21 2006 Götz Waschk <waschk@mandriva.org> 1.4-1mdv2007.0
- Rebuild

* Wed Dec 07 2005 Götz Waschk <waschk@mandriva.org> 1.4-4mdk
- Rebuild
- use mkrel

* Sun Dec 05 2004 Michael Scherer <misc@mandrake.org> 1.4-3mdk
- Rebuild for new python

* Sat Oct 02 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.4-2mdk
- rebuild

